
Function InstallPlcFiles
	File	"/oname=Config\Channel0.ChannelConfig"		"..\Config\Channel0.ChannelConfig"
	File	"/oname=Config\TechnologyArea.KbdConfig"	"..\Config\TechnologyArea.KbdConfig"
	File	"/oname=Config\KnobArea.KbdConfig"	        "..\Config\KnobArea.KbdConfig"
	File	"/oname=Config\JoystickArea.KbdConfig"		"..\Config\JoystickArea.KbdConfig"
	File	"/oname=Config\VKeybArea.KbdConfig"	        "..\Config\VKeybArea.KbdConfig"
	File	"/oname=Config\Inouts.ChannelConfig"	    "..\Config\Inouts.ChannelConfig"	
	File	"/oname=Config\Master.xml"				    "..\Config\Master.xml"	
	
	File	"/oname=Html\Top.html"						"..\Html\Top.html"
	File	"/oname=Html\Main.html"						"..\Html\Main.html"
	File	"/oname=Html\Machine0.png"					"..\Html\Machine0.png"
	File	"/oname=Html\Machine1.png"					"..\Html\Machine1.png"
	File	"/oname=Html\Machine2.png"					"..\Html\Machine2.png"
	File	"/oname=Html\KnobSel0.png"					"..\Html\KnobSel0.png"
	File	"/oname=Html\KnobSel1.png"					"..\Html\KnobSel1.png"
	File	"/oname=Html\KnobSel2.png"					"..\Html\KnobSel2.png"
	File	"/oname=Html\True.png"						"$%ProjectDir%\Html\True.png"
	File	"/oname=Html\False.png"						"$%ProjectDir%\Html\False.png"
	File	"/oname=Html\Log1.png"						"$%ProjectDir%\Html\Log1.png"
	File	"/oname=Html\Log0.png"						"$%ProjectDir%\Html\Log0.png"

	File	"/oname=Plc\Commands.PlcConstants"			"..\Plc\Commands.PlcConstants"
	File	"/oname=Plc\SAVars.PlcConstants"			"..\Plc\SAVars.PlcConstants"
	File	"/oname=Plc\Plc0.PlcErrors"					"..\Plc\Plc0.PlcErrors"

	File	"/oname=PriorityBlock\PriorityBlock.ncp"	"..\PriorityBlock\PriorityBlock.ncp"

FunctionEnd

Function un.InstallPlcFiles
	Delete	"$INSTDIR\Config\Channel0.ChannelConfig"	
	Delete	"$INSTDIR\Config\TechnologyArea.KbdConfig"
	Delete	"$INSTDIR\Config\KnobArea.KbdConfig"
	Delete	"$INSTDIR\Config\JoystickArea.KbdConfig"
	Delete	"$INSTDIR\Config\InOuts.ChannelConfig"
	Delete	"$INSTDIR\Config\Master.xml"

	Delete	"$INSTDIR\Html\Top.html"
	Delete	"$INSTDIR\Html\Main.html"
	Delete	"$INSTDIR\Html\Machine0.png"
	Delete	"$INSTDIR\Html\Machine1.png"
	Delete	"$INSTDIR\Html\Machine2.png"
	Delete	"$INSTDIR\Html\KnobSel0.png"
	Delete	"$INSTDIR\Html\KnobSel1.png"
	Delete	"$INSTDIR\Html\KnobSel2.png"
	Delete	"$INSTDIR\Html\True.png"
	Delete	"$INSTDIR\Html\False.png"
	Delete	"$INSTDIR\Html\Log1.png"
	Delete	"$INSTDIR\Html\Log0.png"

	Delete	"$INSTDIR\Plc\Commands.PlcConstants"
	Delete	"$INSTDIR\Plc\SAVars.PlcConstants"
	Delete	"$INSTDIR\Plc\Plc0.PlcErrors"

	Delete	"$INSTDIR\PriorityBlock\PriorityBlock.ncp"

FunctionEnd

Function InstallPlcConfig
	; ********** Machine/Channels/Channel0 **********
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0\Keyboards\Keyboard1" "ConfigFiles"	"JoystickArea.KbdConfig"	"REG_MULTI_SZ" $R0
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0\Keyboards\Keyboard4" "ConfigFiles"	"KnobArea.KbdConfig"		"REG_MULTI_SZ" $R0


	; ********** Macine/Common **********
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\Common" "RtxEtherCAT" 1
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\Common" "EtherCATSynchMode" 2
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\Common" "EtherCATDebug" 7
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\Common" "EtherCATPhaseAdjust" 1
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\Common" "EtherCATDelayOP" 500



	; ********** Machine/PLC **********
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\Channels\Channel0" 			"AdditionalConfigFiles"	"InOuts.ChannelConfig$\n"	"REG_MULTI_SZ" $R0
	${registry::Write} "HKLM\Software\MEFI\WinCNC\Machine\PLC" "AdditionalPlcConstants"	"Commands.PlcConstants$\nSAVars.PlcConstants$\n"	"REG_MULTI_SZ" $R0


	; ********** Install/UserInterface/Layouts **********
		; Default
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default" 		  "WindowsCount"	5
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default" 		  "Category"		"Standardn"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default" 		  "Name"			"Vchoz rozvren"
	
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window0" "DefaultWindow"	"Main"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window0" "Left"			0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window0" "Right"			50
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window0" "Top"				0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window0" "Bottom"			46

	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window1" "DefaultWindow"	"MDI"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window1" "Left"			0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window1" "Right"			50
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window1" "Top"				46
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window1" "Bottom"			75
		
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window2" "DefaultWindow"	"StatusBar"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window2" "Left"			0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window2" "Right"			50
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window2" "Top"				75
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window2" "Bottom"			79
		
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window3" "DefaultWindow"	"SimplePersistentErrors"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window3" "Left"			0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window3" "Right"			50
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window3" "Top"				79
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window3" "Bottom"			100

	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window4" "DefaultWindow"	"NcpPreview"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window4" "Left"			50
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window4" "Right"			100
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window4" "Top"				0
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Layouts\Default\Window4" "Bottom"			100




	; ********** Oscilloscope **********
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "TimeScale"	1

	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "Active0"	1
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "VarName0"	"ICounter[0]"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "PlcVar0"	0
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "Scale0"		"0.1"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "Offset0"	"0"
	

	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "Active1"	1
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "VarName1"	"Inc_Ax[0]"
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "PlcVar1"	0
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "Scale1"		"10"
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\UserInterface\Windows\Oscilloscope" "Offset1"	"0"
	

	; ********** Ladeni PLC **********
	WriteRegDWORD	HKLM "Software\MEFI\WinCNC\Machine\Channels\Channel0\Debug" 	"PlcDebug"						2
	WriteRegStr		HKLM "Software\MEFI\WinCNC\Machine\Channels\Channel0\Debug" 	"PlcDebugWinTechnolUDPAddr"		"192.168.0.229"


FunctionEnd

Function un.InstallPlcConfig
FunctionEnd